<?php
/**
 * @Packge     : consua
 * @Version    : 1.0
 * @Author     : consua
 * @Author URI : https://themeforest.net/user/validthemes/portfolio
 *
 */

// Block direct access
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Enqueue scripts and styles.
 */
function consua_essential_scripts() {

	wp_enqueue_style( 'consua-style', get_stylesheet_uri() ,array(), wp_get_theme()->get( 'Version' ) );
    // google font
    wp_enqueue_style( 'consua-fonts', consua_google_fonts() ,array(), null );

    // Font Awesome ----------
    wp_enqueue_style( 'fontawesome', get_theme_file_uri( '/assets/css/font-awesome.min.css' ) ,array(), '6.3.1' ); 
    // themify icons-----------
    wp_enqueue_style( 'themify', get_theme_file_uri( '/assets/css/themify-icons.css' ), array(), '1.0' );
    // elegant icons---------------
    wp_enqueue_style( 'elegant', get_theme_file_uri( '/assets/css/elegant-icons.css' ), array(), '1.0' );
    // flaticon icons---------------
    wp_enqueue_style( 'flaticon', get_theme_file_uri( '/assets/css/flaticon-set.css' ), array(), '1.0' );
    // Magnific Popup------------
    wp_enqueue_style( 'magnific-popup', get_theme_file_uri( '/assets/css/magnific-popup.css' ), array(), '1.0' );
    // Swiper-bundle------------
    wp_enqueue_style( 'swiper-bundle', get_theme_file_uri( '/assets/css/swiper-bundle.min.css' ) ,array(), '1.0' );
    // Animate------------
    wp_enqueue_style( 'consua-animate', get_theme_file_uri( '/assets/css/animate.css' ) ,array(), '1.0' );
    // Bootstrap Min ---------------
    wp_enqueue_style( 'bootstrap', get_theme_file_uri( '/assets/css/bootstrap.min.css' ) ,array(), '4.3.1' );
    // validnavs------------
    wp_enqueue_style( 'consua-validnavs', get_theme_file_uri( '/assets/css/validnavs.css' ), array(), '1.0' );
    // shop------------
    wp_enqueue_style( 'consua-shop', get_theme_file_uri( '/assets/css/shop.css' ), array(), '1.0' );
    // Helper Css-------
    wp_enqueue_style( 'consua-helper', get_theme_file_uri( '/assets/css/helper.css' ), array(), '1.0' );
    // consua app style---------
    wp_enqueue_style( 'consua-main-style', get_theme_file_uri('/assets/css/style.css') ,array(), wp_get_theme()->get( 'Version' ) );
    // unittest-----------
    wp_enqueue_style( 'consua-unittest', get_theme_file_uri( '/assets/css/unit-test.css' ), array(), '1.0' );


    // Load Js

    // Bootstrap
    wp_enqueue_script( 'bootstrap', get_theme_file_uri( '/assets/js/bootstrap.min.js' ), array( 'jquery' ), '1.0.0', true );
    // jquery appear
    wp_enqueue_script( 'appear', get_theme_file_uri( '/assets/js/jquery.appear.js' ), array( 'jquery' ), '1.0.0', true );
    // jquery easing
    wp_enqueue_script( 'easing', get_theme_file_uri( '/assets/js/jquery.easing.min.js' ), array( 'jquery' ), '1.0.0', true );
    // jquery magnific popup
    wp_enqueue_script( 'magnific-popup', get_theme_file_uri( '/assets/js/jquery.magnific-popup.min.js' ), array( 'jquery' ), '1.0.0', true );
    // modernizr
    wp_enqueue_script( 'modernizr', get_theme_file_uri( '/assets/js/modernizr.js' ), array( 'jquery' ), '1.0.0', true );
    // swiper-bundle
    wp_enqueue_script( 'swiper-bundle', get_theme_file_uri( '/assets/js/swiper-bundle.min.js' ), array( 'jquery' ), '1.0.0', true );
    // wow
    wp_enqueue_script( 'wow', get_theme_file_uri( '/assets/js/wow.min.js' ), array( 'jquery' ), '1.0.0', true );
    //progress
    wp_enqueue_script( 'progress', get_theme_file_uri( '/assets/js/progress-bar.min.js' ), array( 'jquery' ), '1.0.0', true );
    // circle-progress
    wp_enqueue_script( 'circle-progress', get_theme_file_uri( '/assets/js/circle-progress.js' ), array( 'jquery' ), '1.0.0', true );
    // isotope pkgd
    wp_enqueue_script( 'isotope-pkgd', get_theme_file_uri( '/assets/js/isotope.pkgd.min.js' ), array( 'jquery' ), '1.0.0', true );
    // Imagesloaded 
    wp_enqueue_script( 'imagesloaded' );
    // Count To
    wp_enqueue_script( 'count-to', get_theme_file_uri( '/assets/js/count-to.js' ), array( 'jquery' ), '1.0.0', true );
    // nice-select
    wp_enqueue_script( 'nice-select', get_theme_file_uri( '/assets/js/jquery.nice-select.min.js' ), array( 'jquery' ), '1.0.0', true );
     // YTPlayer
    wp_enqueue_script( 'YTPlayer', get_theme_file_uri( '/assets/js/YTPlayer.min.js' ), array( 'jquery' ), '1.0.0', true );
    // scrolla
    wp_enqueue_script( 'scrolla', get_theme_file_uri( '/assets/js/jquery.scrolla.min.js' ), array( 'jquery' ), '1.0.0', true );
    // TweenMax
    wp_enqueue_script( 'TweenMax', get_theme_file_uri( '/assets/js/TweenMax.min.js' ), array( 'jquery' ), '1.0.0', true );
    // validnavs
    wp_enqueue_script( 'consua-validnavs', get_theme_file_uri( '/assets/js/validnavs.js' ), array( 'jquery' ), '1.0.0', true );
    // rangeSlider
    wp_enqueue_script( 'range-slider', get_theme_file_uri( '/assets/js/rangeSlider.min.js' ), array( 'jquery' ), '1.0.0', true );
     wp_enqueue_script( 'jquery-ui', get_theme_file_uri( '/assets/js/jquery-ui.min.js' ), array( 'jquery' ), '1.0.0', true );

    // main script
    wp_enqueue_script( 'consua-main-script', get_theme_file_uri( '/assets/js/main.js' ), array('jquery'), wp_get_theme()->get( 'Version' ), true );

    // comment reply
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'consua_essential_scripts', 88 );


function consua_block_editor_assets( ) {
    // Add custom fonts.
	wp_enqueue_style( 'consua-editor-fonts', consua_google_fonts(), array(), null );
}

add_action( 'enqueue_block_editor_assets', 'consua_block_editor_assets' );


function consua_google_fonts() {
    $fonts_url = '';

	/*
	 * translators: If there are characters in your language that are not supported
	 * by Libre Franklin, translate this to 'off'. Do not translate into your own language.
	 */
	$Handlee   = _x( 'on', 'Handlee font: on or off', 'consua' );

	if ( 'off' !== $Handlee ) {
        $fonts_url = 'https://fonts.googleapis.com/css2?family=Outfit:wght@100;200;300;400;500;600;700;800;900&display=swap';
	}

	return esc_url_raw( $fonts_url );
}